import Request from '../common/request.js';
let request = new Request().http

// 获取服务协议列表
export function getServiceAgreementList() {
	return request('/store/app/serviceAgreement/getList', null, 'GET');
}

// 获取服务协议详情
export function getServiceAgreementDetail(data) {
	return request('/store/app/serviceAgreement/getDetail', data, 'GET');
}

// 同意服务协议
export function agreeServiceAgreement(data) {
	return request('/store/app/serviceAgreement/agree', data, 'POST', 'application/json;charset=UTF-8');
}

// 获取协议类型列表
export function getAgreementTypeList() {
	return request('/store/app/serviceAgreement/getTypeList', null, 'GET');
}
